package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 销售合同-模板初审(基础交易合同)-字典表
 * </p>
 *
 * @author yafan
 * @since 2023-12-08
 */
@TableName("sales_contract_approval_condition_dic")
public class SalesContractApprovalConditionDic extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 审核类别 0 形式审查 1 内容审查
     */
    @TableField("approval_type")
    private Integer approvalType;

    /**
     * 审核要点
     */
    @TableField("approval_point")
    private String approvalPoint;

    /**
     * 放款条件
     */
    @TableField("loan_condition")
    private String loanCondition;

    public Integer getApprovalType() {
        return approvalType;
    }

    public void setApprovalType(Integer approvalType) {
        this.approvalType = approvalType;
    }

    public String getApprovalPoint() {
        return approvalPoint;
    }

    public void setApprovalPoint(String approvalPoint) {
        this.approvalPoint = approvalPoint;
    }

    public String getLoanCondition() {
        return loanCondition;
    }

    public void setLoanCondition(String loanCondition) {
        this.loanCondition = loanCondition;
    }

    @Override
    public String toString() {
        return "SalesContractApprovalConditionDic{" +
                ", approvalType=" + approvalType +
                ", approvalPoint=" + approvalPoint +
                ", loanCondition=" + loanCondition +
                "}";
    }
}
